#!/bin/sh

MEMCACHED=/var/packages/MailServer/target/usr/bin/memcached
PID_FILE=/tmp/mailserver_memcached.pid

start()
{
	${MEMCACHED} -u root -l 127.0.0.1 -d -P ${PID_FILE}
}

stop()
{
	kill `cat ${PID_FILE}`
}

restart()
{
	stop

	sleep 1

	start
}

case "$1" in
	start)
		start
		;;
	restart)
		restart
		;;
	stop)
		stop
		;;
esac
